=== debian/changelog ===
xcb-imdkit (0~20171205+ds1-3) unstable; urgency=medium

  * Rebuild for Debian Buster.
  * debian/watch: Monitor releases on GitLab project.
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Jan 2019 10:53:31 -0500

xcb-imdkit (0~20171205+ds1-2) unstable; urgency=medium

  * Rebuild for Debian Buster.
  * debian/control,copyright: Update Homepage and use GitLab
    upstream project.
  * debian/control: R³: Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Dec 2018 16:21:49 -0500

xcb-imdkit (0~20171205+ds1-1) unstable; urgency=medium

  * Initial upload. (Closes: #877678)

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Sep 2018 15:05:12 -0400
