=== debian/control ===
Source: xcb-imdkit
Section: libs
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 extra-cmake-modules,
 libxcb-keysyms1-dev,
 libxcb-util0-dev,
 libxcb1-dev,
 uthash-dev,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/fcitx/xcb-imdkit
Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git
Vcs-Browser: https://salsa.debian.org/input-method-team/xcb-imdkit

Package: libxcb-imdkit-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxcb-imdkit0 (= ${binary:Version}),
 libxcb-keysyms1-dev,
 libxcb-util0-dev,
 libxcb1-dev,
 ${misc:Depends},
Description: XIM protocol implementation in XCB (development files)
 xcb-imdkit is an implementation of XIM protocol in XCB.
 Comparing with the implementation of IMDkit with Xlib and
 xim inside Xlib, it has less memory foot print, better performance
 and safer on malformed client.
 .
 It doesn't have complete protocol support though since some part of
 the protocol is never used.
 .
 This package provides development files of xcb-imdkit.

Package: libxcb-imdkit0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XIM protocol implementation in XCB
 xcb-imdkit is an implementation of XIM protocol in XCB.
 Comparing with the implementation of IMDkit with Xlib and
 xim inside Xlib, it has less memory foot print, better performance
 and safer on malformed client.
 .
 It doesn't have complete protocol support though since some part of
 the protocol is never used.
 .
 This package provides shared library of xcb-imdkit.
