=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,filenamemangle=s/.*\/archive\/(\d\S+)\/xcb-imdkit.*\.tar\.gz/xcb-imdkit-$1\.tar\.gz/g" \
  https://gitlab.com/fcitx/xcb-imdkit/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
