=== debian/changelog ===
xcb-imdkit (0~20190825+ds1-2) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Set upstream homepage back to GitHub project again.
  * debian/watch: Monitor GitHub releases again.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Oct 2019 00:18:43 -0400

xcb-imdkit (0~20190825+ds1-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control:
    + Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Sep 2019 12:28:04 -0400
