=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  libxcb-util0-dev,
  libxcb1-dev,
  uthash-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/fcitx/xcb-imdkit
+Homepage: https://github.com/fcitx/xcb-imdkit
 Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/xcb-imdkit
