=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xcb-imdkit-$1.tar.gz%" \
 https://github.com/fcitx/xcb-imdkit/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
