## xcb-imdkit 0~20200606

=== debian/changelog ===
xcb-imdkit (0~20200606-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/copyright: Do not repack upstream tarball.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 09:39:39 -0400

xcb-imdkit (0~20200514+ds1-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/control: Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Jun 2020 15:51:00 -0400

xcb-imdkit (0~20200402+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 21:57:25 +0800

xcb-imdkit (0~20200318+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Update symbols for new snapshot.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 03:02:27 +0800

xcb-imdkit (0~20200312+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Use git mode in uscan watch file.
  * Add repacksuffix in uscan watch file.
  * Update Standards-Version to 4.5.0 (no changes).
  * Fix upstream url in debian/copyright.
  * Add libxcb-imdkit0 symbols file.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Mar 2020 21:27:03 +0800
