=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd" \
 https://github.com/fcitx/xcb-imdkit.git \
 HEAD debian uupdate
