=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,13 +16,13 @@
 set_target_properties(xcb-imdkit PROPERTIES
                       VERSION 0.1
                       SOVERSION 0
-                      COMPILE_FLAGS "-fvisibility=hidden"
+                      C_VISIBILITY_PRESET hidden
                       LINK_FLAGS "-Wl,--no-undefined"
                       EXPORT_NAME XCBImdkit)
 
 target_link_libraries(xcb-imdkit
                       PUBLIC XCB::XCB
-                      PRIVATE XCB::UTIL)
+                      PRIVATE XCB::UTIL UTHash::UTHash)
 
 configure_file(xcb-imdkit.pc.in ${CMAKE_CURRENT_BINARY_DIR}/xcb-imdkit.pc @ONLY)
