=== debian/changelog ===
xcb-imdkit (0~20200807-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Fix multi-arch library path to DEB_HOST_MULTIARCH

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Aug 2020 01:28:02 +0800
