=== debian/changelog ===
xcb-imdkit (0~20201028-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Mon, 02 Nov 2020 17:58:48 -0500

xcb-imdkit (0~20200903-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Sep 2020 20:11:06 -0400
