## xcb-imdkit 1.0.0

=== debian/changelog ===
xcb-imdkit (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * Reupload with 1.0.0 version
    This is same as 0~20201028-1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 12:18:26 +0800
