=== debian/changelog ===
xcb-imdkit (1.0.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Dec 2020 17:12:19 -0500

xcb-imdkit (1.0.1-1~exp1) experimental; urgency=medium

  * New upstream release 1.0.1.
    + Follow upstream trunk code at 20201207.
  * Bump SONAME to 1.
  * debian/control: Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Dec 2020 16:05:11 -0500
