=== debian/changelog ===
xcb-imdkit (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Refresh license information.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Jan 2021 19:10:03 -0500
