=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libxcb-util0-dev,
  libxcb1-dev,
  uthash-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/xcb-imdkit
 Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git
@@ -23,7 +23,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libxcb-imdkit0 (= ${binary:Version}),
+ libxcb-imdkit1 (= ${binary:Version}),
  libxcb-keysyms1-dev,
  libxcb-util0-dev,
  libxcb1-dev,
@@ -39,7 +39,7 @@
  .
  This package provides development files of xcb-imdkit.
 
-Package: libxcb-imdkit0
+Package: libxcb-imdkit1
 Architecture: any
 Multi-Arch: same
 Depends:
