=== debian/changelog ===
xcb-imdkit (1.0.3-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Thu, 27 Jan 2022 13:42:03 +0800
