=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  extra-cmake-modules,
  libxcb-keysyms1-dev,
  libxcb-util0-dev,
  libxcb1-dev,
  uthash-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/xcb-imdkit
 Vcs-Git: https://salsa.debian.org/input-method-team/xcb-imdkit.git
