=== debian/changelog ===
xcb-imdkit (1.0.4-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Jan 2023 16:00:03 -0500

xcb-imdkit (1.0.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).

  [ Boyuan Yang ]
  * debian/control: Replace build-dependency of libxcb-util0-dev with
    new libxcb-util-dev (lintian).

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Jan 2023 15:54:14 -0500

xcb-imdkit (1.0.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 04 Jan 2023 11:35:08 +0100

xcb-imdkit (1.0.4-1) unstable; urgency=medium

  * debian/watch: Fix upstream monitoring.
  * New upstream version 1.0.4.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Nov 2022 15:49:45 -0500
