=== debian/changelog ===
xcb-imdkit (1.0.5-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2023 15:10:16 +0100

xcb-imdkit (1.0.5-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 10:58:58 -0400

xcb-imdkit (1.0.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/source/local-options: Dropped, not needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Mar 2023 14:53:50 -0400
