=== debian/changelog ===
xcb-imdkit (1.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Jan 2024 15:29:15 -0500
