=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/xcb-imdkit/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
